Bug 734276 - gnome-settings-daemon shouldn't crash just because upower has issues (use g_warning not g_error)
Summary: gnome-settings-daemon shouldn't crash just because upower has issues (use g_w...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-settings-daemon
Version: 16
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:9bd2d588220a7cd7473427fc8ea...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-30 00:42 UTC by Adam Williamson
Modified: 2013-02-14 02:21 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-14 02:20:57 UTC


Attachments (Terms of Use)
File: maps (35.55 KB, text/plain)
2011-08-30 00:43 UTC, Adam Williamson
no flags Details
File: backtrace (35.35 KB, text/plain)
2011-08-30 00:43 UTC, Adam Williamson
no flags Details

Description Adam Williamson 2011-08-30 00:42:59 UTC
abrt version: 2.0.5
backtrace_rating: 3
cmdline:        /usr/libexec/gnome-settings-daemon
comment:        Booting a recently-updated F16 system.
crash_function: gsd_power_manager_start
executable:     /usr/libexec/gnome-settings-daemon
kernel:         3.1.0-0.rc3.git5.1.fc16.x86_64
reason:         Process /usr/libexec/gnome-settings-daemon was killed by signal 5 (SIGTRAP)
time:           Mon Aug 29 17:39:34 2011
uid:            501
username:       adamw

backtrace:      Text file, 36203 bytes
maps:           Text file, 36405 bytes

build_ids:
:1fd14fd736ed6d1b35703cfdee1904b20c635d5a
:aff71a7d5a072fbfb7d3a87961ff183682c05290
:aaf7ed41612348bd1141db06cadd428244aa6ea5
:01ddd282b5aa47f2925aacdcdbd15d8734470bae
:e3c88cb9ea428bd61f4064dbd53acae2d396a1ec
:ce24eceb8fbe2a246615b30ebcffffe321b546d3
:a860269450ba0b8efc8b3746c13a63da655410e2
:a594ab36356a9b6dc6ecf25a6124463ccbfd0a29
:469c9718e1d4e2412b1e1d060ec1a5d3658c0631
:edebfad67bdac472272d049dc7ec302f47b02f32
:44ece411beb2ef1acdb5eb2161666de41cc2f31d
:aaf62304b0fc10611d35b4f56005479d4c58868d
:8acc43df965b3c0a70dcfad11c0ade056bdb055b
:cc32e70895d23acd7bde1ef1a3286b5e179e2d49
:9fd35565043bc57e1d8bf70810b7c6b402a9be93
:400444fb368f79b54959b083f449a1497bf71c13
:d8cd63ed74ee18b20dee34a417550000c6e98a3f
:4a7e68edf2778a9fbd3d4a8fbd3f9d1e7b785fc6
:3fa22b967062534de557469982f015448eac16ae
:7ddde233293b60ff6de1dabd78d95aa43e47fc23
:e81e108ee1e9f0fca2ef39f5d0517483c78ae650
:91689252818532ec13597b6528d38be93b2706c4
:3dd00a31cf09e7d59a58bbcf0750e12401a23e53
:962189885ca747a3939151e9cb307559f1bf6e4e
:d440afe7396b3365dcb935f9bf7f2fb28f3839de
:5cb5f8da286abd58aeab3bd6676e661d52ec2b5d
:9afa4a71f0f6a189e8dcf1179b9445a81df0ab28
:afc8ac8a4f34bac6e2b37fb94da68073754cada4
:042ff2ef4400ec8aa9d9bffbc80685a73241e08e
:d0c6e13f00a20952a72a945c929efb175fd760e3
:b85fc655e6bd4674f9bb34a50d588dd4564aa7a7
:194bfeeca9b2042535a14e23d1485ae0791c59d3
:353a61c264385b7feec38c9e34040aa9bc615d6a
:4b01fe6e705219deca2756ff0720d52ec81b4c87
:f417b25f83a1b878b1a8965478a7eecf0344eaca
:48aea888319e1848137073c9cbde54a4c2a731c9
:ab7fea7f16c2d41a3798cb6c5655f2974a05f496
:438aa1c9b655e7ed242c742542a1c16079bb4c77
:45412449d952847a515fcd4ccc5c5c84e77bb20d
:be507c791e34415e8f42f0e6030c889b2895cf9a
:b967cd759e60040c1e0c6457e5a388ed4bbf769f
:8c19010e101d010467607133283541a1151166c3
:fcb044842733bccde89a5953dbcc3c7454b716ef
:d210ac3e31d441164b11c558c7c641799394e1d7
:dc460bd5d849db7391e6a7b3fda177419cb9665b
:79b0de851a5511add7a4e0791f171d27641dac8a
:2f146bc5857341875cad29577e4343275be8673d
:ea16e6140d0a62875a7ce7a908ddd843792531e9
:36a149d1e2c29890b616402f6bc5e3f69ca2738e
:c8a4e40c84c2f52e78c64d31efc0191c565a9049
:25b834f4c4dc534708635ff1064e2fe02a366a62
:63836926ac1e2ef5ad69b01ebb7566509807a5c7
:163b323da65b708418226eb5fa8b057c731d1475
:0911ea7c180d733724f89037b8e8a34e64024aec
:4c842320387ff7f6f91b7842b223c16518be909f
:417ad5ab694b2908a4fa9c71f2a3a4a4e262b0c0
:dde83bf9556e9ad42a9feac46a439e42a13bc1e3
:7994f114cf7189e482f2665fae8e351ed8bc05e3
:b5a943f315b2d05a1aa13213035026dd24acbf05
:004c4da6dc8e4c346d5b96c71787370ea62c518d
:73406c405d81cc8ebddb7d267a8c8035eeabef49
:c2d49d72ec1a1e68b39c3724693f83f44d80a259
:29d5671c1a850397059b8c7a07373569317ff606
:0eda405c4beaefd9dba5a470523e7c86df4b6ed5
:b092238efe70555aea56f2dd242b7c0fe06d29b6
:c1f034e216940c41dbe23880c3400ef9cffae35d
:4d5437cf71ea3e4bac1c445da58ca7897d509d15
:1c6a95451ee19617be5abea3d121f0226d21ddda
:1af345ce2728c299b4d1575fe549d476578a78c7
:025d0108b7595d0816b368f6d9431c06b2dbf601
:6820b4f421980e4f5fe23c69b239dc8279af3c76
:3e113d18232e9368a3d33d061ee14e221202b1cc
:71a6e8a0b941d284363a552719ad89f6e13c416f
:1406558950ff100eb0320a325b3ea7961ba1a775
:27e6d10cdcf60644fe01d656177a9f83ca85aaba
:c755f1e5d539d4d011fa34f14fe0ec98c6792eca
:4953d1f613914126bccceb3cb96386647ffba9df
:4badd9186fcde568be50cff6f8342190e0393dbd
:1f2d0b35b64e9082ee59449ceec2fdd3f37efa6d
:f18d6666d1d10568adb1d386b2fe62b366835b39
:33001d9c43203911ccf35a2f3db5b6b2d70cb292
:d57e1b946c7a09aae2f91596fdba5427ceeefaf9
:206a5869a7f2789e2f7c51d0175a711f51abe824
:aabfae52f2f9cd3da2a88327b8021a05bc700500
:652978274d9edf0accf8057af35746fe32ca8b1c
:b0a2d0b4c09d819887ec7d711c8cf3977a074c4f
:a518a8b1b5c3e80dee813df05e951d205d6ac48c
:0b5f94abb1eccf417fe7f007723f3cb071c63e23
:60e32c553c47c9cc4c532f6cc9f923686b1b6e96

dso_list:
:/lib64/libm-2.14.90.so glibc-2.14.90-6.1.x86_64 (None) 1314661928
:/lib64/libfreebl3.so nss-softokn-freebl-3.12.10-4.fc16.x86_64 (Fedora Project) 1311700084
:/usr/lib64/libvorbisenc.so.2.0.8 libvorbis-1:1.3.2-1.fc15.x86_64 (Fedora Project) 1305315725
:/usr/lib64/libX11.so.6.3.0 libX11-1.4.3-1.fc16.x86_64 (Fedora Project) 1309201342
:/lib64/libgmodule-2.0.so.0.2916.0 glib2-2.29.16-1.fc16.x86_64 (Fedora Project) 1314030726
:/usr/lib64/liblcms2.so.2.0.2 lcms2-2.2-2.fc16.x86_64 (Fedora Project) 1309201338
:/usr/lib64/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-svg.so librsvg2-2.34.0-1.fc16.x86_64 (Fedora Project) 1310068123
:/usr/lib64/libXdamage.so.1.1.0 libXdamage-1.1.3-2.fc15.x86_64 (Fedora Project) 1305315778
:/usr/lib64/libFLAC.so.8.2.0 flac-1.2.1-6.fc12.x86_64 (Fedora Project) 1305315726
:/usr/lib64/libXext.so.6.4.0 libXext-1.2.0-2.fc15.x86_64 (Fedora Project) 1305315778
:/usr/lib64/libpangocairo-1.0.so.0.2903.0 pango-1.29.3-2.fc16.x86_64 (Fedora Project) 1314030726
:/usr/lib64/gnome-settings-daemon-3.0/liborientation.so gnome-settings-daemon-3.1.5-1.fc16.x86_64 (Fedora Project) 1314030745
:/usr/lib64/libpng12.so.0.46.0 libpng-2:1.2.46-1.fc16.x86_64 (Fedora Project) 1311007422
:/usr/lib64/gnome-settings-daemon-3.0/libcolor.so gnome-settings-daemon-3.1.5-1.fc16.x86_64 (Fedora Project) 1314030745
:/usr/lib64/libgnome-desktop-3.so.2.0.1 gnome-desktop3-3.1.5-1.fc16.x86_64 (Fedora Project) 1314030744
:/lib64/libz.so.1.2.5 zlib-1.2.5-4.fc16.x86_64 (Fedora Project) 1309201332
:/lib64/ld-2.14.90.so glibc-2.14.90-6.1.x86_64 (None) 1314661928
:/lib64/libglib-2.0.so.0.2916.0 glib2-2.29.16-1.fc16.x86_64 (Fedora Project) 1314030726
:/usr/lib/locale/locale-archive glibc-common-2.14.90-6.1.x86_64 (None) 1314661924
:/usr/lib64/libcroco-0.6.so.3.0.1 libcroco-0.6.2-6.fc15.x86_64 (Fedora Project) 1305315731
:/usr/lib64/libXcursor.so.1.0.2 libXcursor-1.1.11-3.fc15.x86_64 (Fedora Project) 1305315778
:/usr/lib64/libxcb.so.1.1.0 libxcb-1.7-3.fc16.x86_64 (Fedora Project) 1309201334
:/usr/libexec/gnome-settings-daemon gnome-settings-daemon-3.1.5-1.fc16.x86_64 (Fedora Project) 1314030745
:/lib64/libresolv-2.14.90.so glibc-2.14.90-6.1.x86_64 (None) 1314661928
:/usr/lib64/libcanberra.so.0.2.5 libcanberra-0.28-3.fc16.x86_64 (Fedora Project) 1310692768
:/usr/lib64/libpango-1.0.so.0.2903.0 pango-1.29.3-2.fc16.x86_64 (Fedora Project) 1314030726
:/usr/lib64/libXtst.so.6.1.0 libXtst-1.2.0-2.fc15.x86_64 (Fedora Project) 1305315778
:/usr/lib64/libgvfscommon.so.0.0.0 gvfs-1.9.3-1.fc16.x86_64 (Fedora Project) 1314030727
:/usr/lib64/libfontconfig.so.1.4.4 fontconfig-2.8.0-4.fc16.x86_64 (Fedora Project) 1309201356
:/usr/lib64/libnotify.so.4.0.0 libnotify-0.7.3-1.fc16.x86_64 (Fedora Project) 1309201366
:/usr/lib64/libpangoft2-1.0.so.0.2903.0 pango-1.29.3-2.fc16.x86_64 (Fedora Project) 1314030726
:/lib64/libnsl-2.14.90.so glibc-2.14.90-6.1.x86_64 (None) 1314661928
:/lib64/librt-2.14.90.so glibc-2.14.90-6.1.x86_64 (None) 1314661928
:/usr/lib64/libICE.so.6.3.0 libICE-1.0.7-1.fc16.x86_64 (Fedora Project) 1309201332
:/usr/lib64/libcanberra-gtk3.so.0.1.8 libcanberra-gtk3-0.28-3.fc16.x86_64 (Fedora Project) 1310692769
:/usr/lib64/libasyncns.so.0.3.1 libasyncns-0.8-2.fc15.x86_64 (Fedora Project) 1305315725
:/usr/lib64/libXcomposite.so.1.0.0 libXcomposite-0.4.3-2.fc15.x86_64 (Fedora Project) 1305315778
:/usr/lib64/libpulse-mainloop-glib.so.0.0.4 pulseaudio-libs-glib2-0.9.23-1.fc16.x86_64 (Fedora Project) 1313608830
:/usr/lib64/libfreetype.so.6.7.1 freetype-2.4.6-1.fc16.x86_64 (Fedora Project) 1312561190
:/lib64/libselinux.so.1 libselinux-2.1.4-2.fc16.x86_64 (Fedora Project) 1314202689
:/usr/lib64/libpixman-1.so.0.22.2 pixman-0.22.2-1.fc16.x86_64 (Fedora Project) 1310068151
:/usr/lib64/libvorbis.so.0.4.5 libvorbis-1:1.3.2-1.fc15.x86_64 (Fedora Project) 1305315725
:/usr/lib64/libX11-xcb.so.1.0.0 libX11-1.4.3-1.fc16.x86_64 (Fedora Project) 1309201342
:/lib64/libgio-2.0.so.0.2916.0 glib2-2.29.16-1.fc16.x86_64 (Fedora Project) 1314030726
:/usr/lib64/libdbus-glib-1.so.2.1.0 dbus-glib-0.92-2.fc15.x86_64 (Fedora Project) 1305315724
:/lib64/libgobject-2.0.so.0.2916.0 glib2-2.29.16-1.fc16.x86_64 (Fedora Project) 1314030726
:/lib64/libpthread-2.14.90.so glibc-2.14.90-6.1.x86_64 (None) 1314661928
:/usr/lib64/libXfixes.so.3.1.0 libXfixes-5.0-1.fc16.x86_64 (Fedora Project) 1309201342
:/lib64/libgudev-1.0.so.0.1.0 libgudev1-173-1.fc16.x86_64 (Fedora Project) 1312391752
:/usr/lib64/libXrender.so.1.3.0 libXrender-0.9.6-2.fc15.x86_64 (Fedora Project) 1305315778
:/lib64/libcrypt-2.14.90.so glibc-2.14.90-6.1.x86_64 (None) 1314661928
:/usr/lib64/libtdb.so.1.2.9 libtdb-1.2.9-10.fc16.x86_64 (Fedora Project) 1309201335
:/usr/lib64/libxml2.so.2.7.8 libxml2-2.7.8-6.fc16.x86_64 (Fedora Project) 1309201332
:/usr/lib64/gio/modules/libdconfsettings.so dconf-0.9.0-1.fc16.x86_64 (Fedora Project) 1312391757
:/lib64/libdbus-1.so.3.5.6 dbus-libs-1:1.4.10-3.fc16.x86_64 (Fedora Project) 1314202689
:/lib64/libdl-2.14.90.so glibc-2.14.90-6.1.x86_64 (None) 1314661928
:/usr/lib64/libgdk-3.so.0.112.0 gtk3-3.1.12-1.fc16.x86_64 (Fedora Project) 1314030729
:/usr/lib64/libcolord.so.1.0.2 colord-0.1.10-1.fc16.x86_64 (Fedora Project) 1310068169
:/usr/lib64/libXau.so.6.0.0 libXau-1.0.6-2.fc15.x86_64 (Fedora Project) 1305315725
:/usr/lib64/gtk-3.0/3.0.0/theming-engines/libadwaita.so adwaita-gtk3-theme-3.1.5-1.fc16.x86_64 (Fedora Project) 1314030740
:/usr/lib64/libXrandr.so.2.2.0 libXrandr-1.3.1-2.fc15.x86_64 (Fedora Project) 1305315778
:/usr/lib64/gnome-settings-daemon-3.0/libpower.so gnome-settings-daemon-3.1.5-1.fc16.x86_64 (Fedora Project) 1314030745
:/usr/lib64/libsndfile.so.1.0.25 libsndfile-1.0.25-1.fc16.x86_64 (Fedora Project) 1311007469
:/usr/lib64/libltdl.so.7.3.0 libtool-ltdl-2.4-6.fc16.x86_64 (Fedora Project) 1309388603
:/usr/lib64/libpulsecommon-0.9.23.so pulseaudio-libs-0.9.23-1.fc16.x86_64 (Fedora Project) 1313608812
:/lib64/libutil-2.14.90.so glibc-2.14.90-6.1.x86_64 (None) 1314661928
:/usr/lib64/libatk-1.0.so.0.20114.1 atk-2.1.5-1.fc16.x86_64 (Fedora Project) 1314030727
:/lib64/libwrap.so.0.7.6 tcp_wrappers-libs-7.6-64.fc16.x86_64 (Fedora Project) 1309201333
:/lib64/libgthread-2.0.so.0.2916.0 glib2-2.29.16-1.fc16.x86_64 (Fedora Project) 1314030726
:/usr/lib64/libXi.so.6.1.0 libXi-1.4.3-2.fc16.x86_64 (Fedora Project) 1314030728
:/usr/lib64/libupower-glib.so.1.0.1 upower-0.9.12-1.fc16.x86_64 (Fedora Project) 1309882183
:/usr/lib64/libffi.so.5.0.10 libffi-3.0.10-1.fc16.x86_64 (Fedora Project) 1314202718
:/usr/lib64/libogg.so.0.7.1 libogg-2:1.2.2-3.fc15.x86_64 (Fedora Project) 1305315723
:/lib64/libudev.so.0.12.0 libudev-173-1.fc16.x86_64 (Fedora Project) 1312391747
:/usr/lib64/libXinerama.so.1.0.0 libXinerama-1.1.1-2.fc15.x86_64 (Fedora Project) 1305315778
:/lib64/libexpat.so.1.5.2 expat-2.0.1-11.fc15.x86_64 (Fedora Project) 1305315723
:/lib64/libnss_files-2.14.90.so glibc-2.14.90-6.1.x86_64 (None) 1314661928
:/lib64/libgcc_s-4.6.1-20110824.so.1 libgcc-4.6.1-8.fc16.x86_64 (Fedora Project) 1314290852
:/usr/lib64/libpulse.so.0.12.4 pulseaudio-libs-0.9.23-1.fc16.x86_64 (Fedora Project) 1313608812
:/usr/lib64/libgtk-3.so.0.112.0 gtk3-3.1.12-1.fc16.x86_64 (Fedora Project) 1314030729
:/usr/lib64/gio/modules/libgvfsdbus.so gvfs-1.9.3-1.fc16.x86_64 (Fedora Project) 1314030727
:/usr/lib64/libSM.so.6.0.1 libSM-1.2.0-2.fc15.x86_64 (Fedora Project) 1305315723
:/usr/lib64/librsvg-2.so.2.34.0 librsvg2-2.34.0-1.fc16.x86_64 (Fedora Project) 1310068123
:/usr/lib64/libgdk_pixbuf-2.0.so.0.2300.5 gdk-pixbuf2-2.23.5-1.fc16.x86_64 (Fedora Project) 1310068122
:/lib64/libuuid.so.1.3.0 libuuid-2.19.1-2.fc16.x86_64 (Fedora Project) 1309882182
:/usr/share/locale/en/LC_MESSAGES/gtk30.mo gtk3-3.1.12-1.fc16.x86_64 (Fedora Project) 1314030729
:/lib64/libc-2.14.90.so glibc-2.14.90-6.1.x86_64 (None) 1314661928
:/usr/lib64/libvorbisfile.so.3.3.4 libvorbis-1:1.3.2-1.fc15.x86_64 (Fedora Project) 1305315725
:/usr/lib64/libcairo-gobject.so.2.11000.2 cairo-gobject-1.10.2-4.fc16.x86_64 (Fedora Project) 1309798036
:/usr/lib64/libgconf-2.so.4.1.5 GConf2-3.1.6-1.fc16.x86_64 (Fedora Project) 1314119503
:/usr/lib64/libcairo.so.2.11000.2 cairo-1.10.2-4.fc16.x86_64 (Fedora Project) 1309798035

environ:
:GIT_PS1_SHOWDIRTYSTATE=true
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=adam.localdomain
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=ca249ca7830426304c997a3000000007-1314664772.535167-137913650
:GNOME_KEYRING_CONTROL=/tmp/keyring-AcVfyA
:IMSETTINGS_MODULE=none
:USER=adamw
:USERNAME=adamw
:MAIL=/var/spool/mail/adamw
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/adamw/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/adamw
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=1584
:LANG=en_US.UTF-8
:'PS1=[\\[\\e[0;32m\\]\\u\\[\\e[0m\\]@\\[\\e[0;34m\\]\\h\\[\\e[0m\\] \\W\\[\\e[0;33m\\]$(__git_ps1 \" (%s)\")\\[\\e[0m\\]]\\[\\e[0;32m\\]\\$ \\[\\e[0m\\]'
:GIT_PS1_SHOWUNTRACKEDFILES=true
:GDMSESSION=gnome
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:HISTCONTROL=ignoredups
:HOME=/home/adamw
:XDG_SEAT=seat0
:SHLVL=1
:LOGNAME=adamw
:CVS_RSH=ssh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-yMpkZVt3ao,guid=afec442763e825f53713f31d00000038
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/adamw
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-adamw-7pDG41/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1589,unix/unix:/tmp/.ICE-unix/1589
:DESKTOP_AUTOSTART_ID=10cf6753c218014982131466477362435600000015890001

smolt_data:
:
:
:General
:=================================
:UUID: 63ae6c44-deaa-4e60-8b5e-9983b9f01b1c
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 7004.11
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i7-2600K CPU @ 3.40GHz
:CPU Stepping: 7
:CPU Family: 6
:CPU Model Num: 42
:Number of CPUs: 8
:CPU Speed: 3401
:System Memory: 16003
:System Swap: 2047
:Vendor: System manufacturer
:System: System Product Name System Version
:Form factor: Desktop
:Kernel: 3.1.0-0.rc3.git5.1.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Permissive
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4277:34312:4277:34312) pci, pcieport, PCI/PCI, PEX 8608 8-lane, 8-Port PCI Express Gen 2 (5.0 GT/s) Switch
:(32902:256:4163:33869) pci, None, HOST/PCI, P8P67 Deluxe Motherboard
:(32902:257:4163:33869) pci, pcieport, PCI/PCI, Xeon E3-1200/2nd Generation Core Processor Family PCI Express Root Port
:(4332:33128:4163:33842) pci, r8169, ETHERNET, P8P67 Deluxe Motherboard [Realtek RTL8111E]
:(4147:404:4163:33811) pci, xhci_hcd, USB, P8P67 Deluxe Motherboard
:(6523:9058:4163:33888) pci, ahci, STORAGE, P8P67 Deluxe Motherboard
:(32902:7202:4163:33869) pci, i801_smbus, SERIAL, P8P67 Deluxe Motherboard
:(32902:7170:4163:33869) pci, ahci, STORAGE, P8P67 Deluxe Motherboard
:(32902:7238:4163:33869) pci, None, PCI/ISA, P8P67 Deluxe Motherboard
:(4277:34312:4277:34312) pci, pcieport, PCI/PCI, PEX 8608 8-lane, 8-Port PCI Express Gen 2 (5.0 GT/s) Switch
:(32902:5379:4163:33948) pci, e1000e, ETHERNET, P8P67 Deluxe Motherboard
:(4277:34312:4277:34312) pci, pcieport, PCI/PCI, PEX 8608 8-lane, 8-Port PCI Express Gen 2 (5.0 GT/s) Switch
:(6945:4224:0:0) pci, None, PCI/PCI, N/A
:(6987:37168:4163:33848) pci, ahci, STORAGE, P8P67 Deluxe Motherboard
:(32902:7213:4163:33869) pci, ehci_hcd, USB, P8P67 Deluxe Motherboard
:(32902:7206:4163:33869) pci, ehci_hcd, USB, P8P67 Deluxe Motherboard
:(32902:7226:4163:33869) pci, None, SIMPLE, P8P67 Deluxe Motherboard
:(4277:34312:4277:34312) pci, pcieport, PCI/PCI, PEX 8608 8-lane, 8-Port PCI Express Gen 2 (5.0 GT/s) Switch
:(4358:13315:4163:33668) pci, firewire_ohci, FIREWIRE, P8P67 Deluxe Motherboard
:(4147:404:4163:33811) pci, xhci_hcd, USB, P8P67 Deluxe Motherboard
:(4277:34312:4277:34312) pci, pcieport, PCI/PCI, PEX 8608 8-lane, 8-Port PCI Express Gen 2 (5.0 GT/s) Switch
:(32902:7184:4163:33869) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 1
:(32902:7196:4163:33869) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 7
:(32902:7198:4163:33869) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 8
:(32902:7192:4163:33869) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 5
:(32902:7200:4163:33816) pci, snd_hda_intel, MULTIMEDIA, P8P67 Deluxe Motherboard
:(4277:34312:4277:34312) pci, pcieport, PCI/PCI, PEX 8608 8-lane, 8-Port PCI Express Gen 2 (5.0 GT/s) Switch
:(4318:1570:4318:1349) pci, nouveau, VIDEO, G94 [GeForce 9600 GT]
:(4277:34312:4277:34312) pci, pcieport, PCI/PCI, PEX 8608 8-lane, 8-Port PCI Express Gen 2 (5.0 GT/s) Switch
:(4277:34312:4277:34312) pci, pcieport, PCI/PCI, PEX 8608 8-lane, 8-Port PCI Express Gen 2 (5.0 GT/s) Switch
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_adam-lv_root / ext4 4096 4096 10079070 2150241 2047880 2564096 2073803 2073803
:/dev/sda1 /boot ext4 1024 1024 495844 415220 389620 128016 127922 127922
:/dev/mapper/vg_adam-lv_home /home ext4 4096 4096 20045526 18118068 17099803 5095424 5064737 5064737
:

var_log_messages:
:Aug 29 17:38:53 adam abrt[1455]: saved core dump of pid 1439 (/usr/libexec/gnome-settings-daemon) to /var/spool/abrt/ccpp-2011-08-29-17:38:53-1439.new/coredump (37081088 bytes)
:Aug 29 17:38:53 adam gnome-session[1427]: WARNING: Application 'gnome-settings-daemon.desktop' killed by signal
:Aug 29 17:39:34 adam abrt[1779]: saved core dump of pid 1751 (/usr/libexec/gnome-settings-daemon) to /var/spool/abrt/ccpp-2011-08-29-17:39:34-1751.new/coredump (37138432 bytes)
:Aug 29 17:39:34 adam gnome-session[1589]: WARNING: Application 'gnome-settings-daemon.desktop' killed by signal

xsession_errors:
:(gnome-settings-daemon:1751): GnomeDesktop-WARNING **: could not get output property for DVI-I-2, rc: 15
:(gnome-settings-daemon:1751): GnomeDesktop-WARNING **: could not get output property for DVI-I-1, rc: 15
:(gnome-settings-daemon:1751): Gtk-WARNING **: gtk_window_set_wmclass: shouldn't set wmclass after window is realized!
:(gnome-settings-daemon:1751): GnomeDesktop-WARNING **: could not get output property for DVI-I-2, rc: 15
:(gnome-settings-daemon:1751): GnomeDesktop-WARNING **: could not get output property for DVI-I-1, rc: 15
:(gnome-settings-daemon:1751): libupower-glib-WARNING **: Couldn't enumerate devices: Process /lib64/dbus-1/dbus-daemon-launch-helper received signal 11
:gnome-session[1589]: WARNING: Application 'gnome-settings-daemon.desktop' killed by signal

Comment 1 Adam Williamson 2011-08-30 00:43:02 UTC
Created attachment 520490 [details]
File: maps

Comment 2 Adam Williamson 2011-08-30 00:43:03 UTC
Created attachment 520491 [details]
File: backtrace

Comment 3 Adam Williamson 2011-08-30 01:02:16 UTC
it's actually upowerd which seems to have the issue; running upower -e causes the same thing.

Comment 4 Adam Williamson 2011-08-30 01:05:10 UTC
duping to 734282, which is abrt's attempt at the upower crash.

*** This bug has been marked as a duplicate of bug 734282 ***

Comment 5 Adam Williamson 2011-08-30 01:13:54 UTC
as mclasen notes in 734282:

"gnome-settings-daemon is crashing due to an ill-advised g_error() in gsd-power-manager.c:1082"

so, let's re-open this bug, and make it 'g-s-d should use g_warning() not g_error() so it doesn't crash in this case'

Comment 6 Richard Hughes 2011-08-30 07:48:01 UTC
commit 79acde1a8f402ffc1c0e1afec196928f8e1164f5
Author: Richard Hughes <richard@hughsie.com>
Date:   Tue Aug 30 08:46:40 2011 +0100

    power: Do not exit gnome-settings-daemon if upower fails to load

Comment 7 Fedora End Of Life 2013-01-17 00:18:34 UTC
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 8 Fedora End Of Life 2013-02-14 02:21:01 UTC
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.